document.addEventListener("DOMContentLoaded", () => {
  chrome.storage.local.get("pageData", (data) => {
    if (data.pageData) {
      const contentDiv = document.getElementById("content");
      contentDiv.innerHTML = `
        <h2>${data.pageData.title}</h2>
        <p>${data.pageData.paragraphs.join("<br>")}</p>
      `;
    } else {
      document.getElementById("content").textContent = "هنوز اطلاعاتی استخراج نشده";
    }
  });
});